| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Seis::PolySelData Class Reference
Seis

selection data by polygon or polyline. More...

`#include <seisselectionimpl.h>`

Inheritance diagram for Seis::PolySelData:
[legend]

## Public Member Functions
| PolySelData ()
| PolySelData (const ODPolygon< float > &, const Interval< float > *zrange=0)
| PolySelData (const ODPolygon< int > &, const Interval< float > *zrange=0)
| PolySelData (const PolySelData &)
| ~PolySelData ()
SelData * | clone () const override
void | copyFrom (const SelData &) override
Interval< int > | crlRange () const override
int | expectedNrTraces (bool for2d, const BinID *) const override
void | extendZ (const Interval< float > &) override
void | fillPar (IOPar &) const override
void | include (const SelData &) override
Interval< int > | inlRange () const override
PolySelData & | operator= (const PolySelData &tsd)
bool | setZRange (const Interval< float > &zrg) override
Type | type () const override
void | usePar (const IOPar &) override
Interval< float > | zRange () const override
Public Member Functions inherited from Seis::SelData
virtual | ~SelData ()
virtual void | extendH (const BinID &stepout, const BinID *stepoutstep=0)
Pos::GeomID | geomID () const
bool | isAll () const
bool | isOK (const BinID &bid) const
bool | isOK (const Pos::IdxPair &) const
| will convert to either BinID or GeomID/trcnr
bool | isOK (const TrcKey &) const
| will work in trckey's domain
bool | isOK (Pos::GeomID gid, int trcnr) const
bool | operator!= (const SelData &) const
bool | operator== (const SelData &) const
int | selRes (const BinID &bid) const
int | selRes (Pos::GeomID gid, int trcnr) const
virtual bool | setCrlRange (const Interval< int > &)
virtual void | setGeomID (Pos::GeomID geomid)
virtual bool | setInlRange (const Interval< int > &)
void | setIsAll (bool yn=true)

## Protected Member Functions
void | doExtendH (BinID, BinID) override
void | initZrg (const Interval< float > *)
int | selRes3D (const BinID &) const override
| see class doc
Protected Member Functions inherited from Seis::SelData
| SelData ()
virtual int | selRes2D (Pos::GeomID, int trcnr) const
int | tracesInSI () const

## Protected Attributes
float | midz_
ObjectSet< ODPolygon< float > > | polys_
BinID | stepoutreach_
Interval< float > | zrg_
Protected Attributes inherited from Seis::SelData
Pos::GeomID | geomid_
bool | isall_

## Additional Inherited Members
Public Types inherited from Seis::SelData
typedef SelType | Type
Static Public Member Functions inherited from Seis::SelData
static SelData * | get (const IOPar &)
| fully filled
static SelData * | get (const Pos::Provider &)
| filled; some defaults
static SelData * | get (Type)
| empty
static void | removeFromPar (IOPar &)

## Detailed Description

selection data by polygon or polyline.

The polygon provided is in inline crossline - in float it should still be inline crossline fractions.

<>

## Constructor & Destructor Documentation

## ◆ PolySelData() [1/4]

Seis::PolySelData::PolySelData | ( |  | ) |

## ◆ PolySelData() [2/4]

Seis::PolySelData::PolySelData | ( | const ODPolygon< float > & | ,
|  | const Interval< float > * | zrange = 0 )

## ◆ PolySelData() [3/4]

Seis::PolySelData::PolySelData | ( | const ODPolygon< int > & | ,
|  | const Interval< float > * | zrange = 0 )

## ◆ PolySelData() [4/4]

Seis::PolySelData::PolySelData | ( | const PolySelData & |  | ) |

## ◆ ~PolySelData()

Seis::PolySelData::~PolySelData | ( |  | ) |

## Member Function Documentation

## ◆ clone()

SelData * Seis::PolySelData::clone | ( |  | ) | const
| inline override virtual

Implements Seis::SelData.

## ◆ copyFrom()

void Seis::PolySelData::copyFrom | ( | const SelData & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ crlRange()

Interval< int > Seis::PolySelData::crlRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## ◆ doExtendH()

void Seis::PolySelData::doExtendH | ( | BinID | ,
|  | BinID | )
| override protected virtual

Implements Seis::SelData.

## ◆ expectedNrTraces()

int Seis::PolySelData::expectedNrTraces | ( | bool | for2d,
|  | const BinID * | ) const
| override virtual

Implements Seis::SelData.

## ◆ extendZ()

void Seis::PolySelData::extendZ | ( | const Interval< float > & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ fillPar()

void Seis::PolySelData::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements Seis::SelData.

## ◆ include()

void Seis::PolySelData::include | ( | const SelData & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ initZrg()

void Seis::PolySelData::initZrg | ( | const Interval< float > * |  | ) |
| protected

## ◆ inlRange()

Interval< int > Seis::PolySelData::inlRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## ◆ operator=()

PolySelData & Seis::PolySelData::operator= | ( | const PolySelData & | tsd | ) |
| inline

## ◆ selRes3D()

int Seis::PolySelData::selRes3D | ( | const BinID & |  | ) | const
| override protected virtual

see class doc

Implements Seis::SelData.

## ◆ setZRange()

bool Seis::PolySelData::setZRange | ( | const Interval< float > & | zrg | ) |
| inline override virtual

Reimplemented from Seis::SelData.

## ◆ type()

Type Seis::PolySelData::type | ( |  | ) | const
| inline override virtual

Implements Seis::SelData.

## ◆ usePar()

void Seis::PolySelData::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements Seis::SelData.

## ◆ zRange()

Interval< float > Seis::PolySelData::zRange | ( |  | ) | const
| override virtual

Reimplemented from Seis::SelData.

## Member Data Documentation

## ◆ midz_

float Seis::PolySelData::midz_
| protected

## ◆ polys_

ObjectSet<ODPolygon<float> > Seis::PolySelData::polys_
| protected

## ◆ stepoutreach_

BinID Seis::PolySelData::stepoutreach_
| protected

## ◆ zrg_

Interval<float> Seis::PolySelData::zrg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025